### File

`packages/core/src/lib/services/storage/local-storage.service.ts`

### Description

localStorage service

### Extends

`StorageService`

### Index

###### Properties
Static NAME
###### Methods
get name remove set

### Methods

get
`get(key: string)`
retrieve an object from local storage Parameters :
Name | Type | Optional | Description
key | `string` | No | the associated key
Returns : `any` the value or undefined, if case of error

name
`name()`
the name of the storage service Returns : `string`

remove
`remove(key: string)`
removes an object from local storage Parameters :
Name | Type | Optional | Description
key | `string` | No | the associated key
Returns : `void`

set
`set(key: string, value: any)`
sets an object in local storage Parameters :
Name | Type | Optional | Description
key | `string` | No | the associated key
value | `any` | No | the value to set
Returns : `void`

### Properties

Static NAME
Type : `string`
Default value : `'LocalStorageService'`

# results matching ""

# No results matching ""